### Method

# Gtk Widget set_parent

#### Declaration [src]

    void
    gtk_widget_set_parent (
      GtkWidget* widget,
      GtkWidget* parent
    )

#### Description [src]

Sets the parent widget of the widget.

This takes care of details such as updating the state and style of the child to reflect its new location and resizing the parent. The opposite function is `gtk_widget_unparent()`.

This function is useful only when implementing subclasses of `GtkWidget`.

#### Parameters

`parent`

  Type: `GtkWidget`

  Parent widget.

  The data is owned by the caller of the method.